package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 信标
 * </p>
 *
 * @author mk
 * @since 2023-11-21
 */
@TableName("beacon")
@ApiModel(value="Beacon对象", description="信标")
public class Beacon extends Model<Beacon> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "信标名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "信标MAC")
    @TableField("mac")
    private String mac;

    @ApiModelProperty(value = "信标UUID")
    @TableField("uuid")
    private String uuid;

    @ApiModelProperty(value = "信标Major")
    @TableField("major")
    private String major;

    @ApiModelProperty(value = "信标Minor")
    @TableField("minor")
    private String minor;

    @ApiModelProperty(value = "电量")
    @TableField("power")
    private Integer power;

    @ApiModelProperty(value = "信标广播间隔(ms)")
    @TableField("broadcast_interval")
    private Integer broadcastInterval;

    @ApiModelProperty(value = "信标发射功率(dBm)")
    @TableField("trans_rate")
    private Integer transRate;

    @ApiModelProperty(value = "NFCID")
    @TableField("nfc_id")
    private String nfcId;

    @ApiModelProperty(value = "二维码随机字符创")
    @TableField("check_code")
    private String checkCode;

    @ApiModelProperty(value = "二维码URL")
    @TableField("qrcode_url")
    private String qrcodeUrl;

    @ApiModelProperty(value = "图片存储地址")
    @TableField("image_url")
    private String imageUrl;

    @ApiModelProperty(value = "二维码绑定状态0:未绑定;1:已绑定")
    @TableField("qrcode_binding_state")
    private Integer qrcodeBindingState;

    @ApiModelProperty(value = "NFC绑定状态0:未绑定;1:已绑定")
    @TableField("nfc_binding_state")
    private Integer nfcBindingState;

    @ApiModelProperty(value = "部署点位编号")
    @TableField("no")
    private String no;

    @ApiModelProperty(value = "部署点位横坐标")
    @TableField("coordinate_x")
    private String coordinateX;

    @ApiModelProperty(value = "部署点位纵坐标")
    @TableField("coordinate_y")
    private String coordinateY;

    @ApiModelProperty(value = "部署场景")
    @TableField("scene_name")
    private String sceneName;

    @ApiModelProperty(value = "部署场景id")
    @TableField("scene_id")
    private Long sceneId;

    @ApiModelProperty(value = "场景级别")
    @TableField("scene_level")
    private Integer sceneLevel;

    @ApiModelProperty(value = "操作人ID")
    @TableField("operation_id")
    private Long operationId;

    @ApiModelProperty(value = "操作人")
    @TableField("operation_user")
    private String operationUser;

    @ApiModelProperty(value = "操作时间")
    @TableField("operation_time")
    private Date operationTime;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "渠道商")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "物业")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "站点")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "楼座ID")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "楼座名称")
    @TableField("building_name")
    private String buildingName;

    @ApiModelProperty(value = "楼层ID")
    @TableField("floor_id")
    private Long floorId;

    @ApiModelProperty(value = "楼层名称")
    @TableField("floor_name")
    private String floorName;

    @ApiModelProperty(value = "N级网格ID")
    @TableField("multistage_grid_id")
    private Long multistageGridId;

    @ApiModelProperty(value = "N级网格名称")
    @TableField("multistage_grid_name")
    private String multistageGridName;

    @ApiModelProperty(value = "图层ID")
    @TableField("beacon_area_position_id")
    private Long beaconAreaPositionId;

    @ApiModelProperty(value = "点位管理ID")
    @TableField("beacon_point_manage_id")
    private Long beaconPointManageId;

    @ApiModelProperty(value = "rssi阈值（入场信号阈值）")
    @TableField("rssi_threshold")
    private Integer rssiThreshold;

    @ApiModelProperty(value = "rssi阈值半径（入场半径）")
    @TableField("rssi_radius")
    private Integer rssiRadius;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getMinor() {
        return minor;
    }

    public void setMinor(String minor) {
        this.minor = minor;
    }

    public Integer getPower() {
        return power;
    }

    public void setPower(Integer power) {
        this.power = power;
    }

    public Integer getBroadcastInterval() {
        return broadcastInterval;
    }

    public void setBroadcastInterval(Integer broadcastInterval) {
        this.broadcastInterval = broadcastInterval;
    }

    public Integer getTransRate() {
        return transRate;
    }

    public void setTransRate(Integer transRate) {
        this.transRate = transRate;
    }

    public String getNfcId() {
        return nfcId;
    }

    public void setNfcId(String nfcId) {
        this.nfcId = nfcId;
    }

    public String getCheckCode() {
        return checkCode;
    }

    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    public String getQrcodeUrl() {
        return qrcodeUrl;
    }

    public void setQrcodeUrl(String qrcodeUrl) {
        this.qrcodeUrl = qrcodeUrl;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Integer getQrcodeBindingState() {
        return qrcodeBindingState;
    }

    public void setQrcodeBindingState(Integer qrcodeBindingState) {
        this.qrcodeBindingState = qrcodeBindingState;
    }

    public Integer getNfcBindingState() {
        return nfcBindingState;
    }

    public void setNfcBindingState(Integer nfcBindingState) {
        this.nfcBindingState = nfcBindingState;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getCoordinateX() {
        return coordinateX;
    }

    public void setCoordinateX(String coordinateX) {
        this.coordinateX = coordinateX;
    }

    public String getCoordinateY() {
        return coordinateY;
    }

    public void setCoordinateY(String coordinateY) {
        this.coordinateY = coordinateY;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Integer getSceneLevel() {
        return sceneLevel;
    }

    public void setSceneLevel(Integer sceneLevel) {
        this.sceneLevel = sceneLevel;
    }

    public Long getOperationId() {
        return operationId;
    }

    public void setOperationId(Long operationId) {
        this.operationId = operationId;
    }

    public String getOperationUser() {
        return operationUser;
    }

    public void setOperationUser(String operationUser) {
        this.operationUser = operationUser;
    }

    public Date getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(Date operationTime) {
        this.operationTime = operationTime;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public Long getMultistageGridId() {
        return multistageGridId;
    }

    public void setMultistageGridId(Long multistageGridId) {
        this.multistageGridId = multistageGridId;
    }

    public String getMultistageGridName() {
        return multistageGridName;
    }

    public void setMultistageGridName(String multistageGridName) {
        this.multistageGridName = multistageGridName;
    }

    public Long getBeaconAreaPositionId() {
        return beaconAreaPositionId;
    }

    public void setBeaconAreaPositionId(Long beaconAreaPositionId) {
        this.beaconAreaPositionId = beaconAreaPositionId;
    }

    public Long getBeaconPointManageId() {
        return beaconPointManageId;
    }

    public void setBeaconPointManageId(Long beaconPointManageId) {
        this.beaconPointManageId = beaconPointManageId;
    }

    public Integer getRssiThreshold() {
        return rssiThreshold;
    }

    public void setRssiThreshold(Integer rssiThreshold) {
        this.rssiThreshold = rssiThreshold;
    }

    public Integer getRssiRadius() {
        return rssiRadius;
    }

    public void setRssiRadius(Integer rssiRadius) {
        this.rssiRadius = rssiRadius;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Beacon{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", name=" + name +
        ", mac=" + mac +
        ", uuid=" + uuid +
        ", major=" + major +
        ", minor=" + minor +
        ", power=" + power +
        ", broadcastInterval=" + broadcastInterval +
        ", transRate=" + transRate +
        ", nfcId=" + nfcId +
        ", checkCode=" + checkCode +
        ", qrcodeUrl=" + qrcodeUrl +
        ", imageUrl=" + imageUrl +
        ", qrcodeBindingState=" + qrcodeBindingState +
        ", nfcBindingState=" + nfcBindingState +
        ", no=" + no +
        ", coordinateX=" + coordinateX +
        ", coordinateY=" + coordinateY +
        ", sceneName=" + sceneName +
        ", sceneId=" + sceneId +
        ", sceneLevel=" + sceneLevel +
        ", operationId=" + operationId +
        ", operationUser=" + operationUser +
        ", operationTime=" + operationTime +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", agentName=" + agentName +
        ", propertyName=" + propertyName +
        ", districtName=" + districtName +
        ", buildingId=" + buildingId +
        ", buildingName=" + buildingName +
        ", floorId=" + floorId +
        ", floorName=" + floorName +
        ", multistageGridId=" + multistageGridId +
        ", multistageGridName=" + multistageGridName +
        ", beaconAreaPositionId=" + beaconAreaPositionId +
        ", beaconPointManageId=" + beaconPointManageId +
        ", rssiThreshold=" + rssiThreshold +
        ", rssiRadius=" + rssiRadius +
        "}";
    }
}
